FreeHandParserInternal Namespace Reference

Internal: the structures of a FreeHandParser. More...

## Classes

struct | ScreenMode
| struct which defines the screen parameters in FreeHandParserInternal More...
struct | ShapeHeader
| small structure of FreeHandParserInternal used to stored a shape header More...
struct | FillStyle
| small structure of FreeHandParserInternal used to stored a fill style More...
struct | LineStyle
| small structure of FreeHandParserInternal used to stored a line style More...
struct | StyleHeader
| small structure of FreeHandParserInternal used to stored a style header More...
struct | Shape
| small structure of FreeHandParserInternal used to stored a shape More...
struct | Font
| structure of FreeHandParserInternal used to stored a font More...
struct | Textbox
| structure of FreeHandParserInternal used to stored a textbox More...
struct | State
| Internal: the state of a FreeHandParser. More...
class | SubDocument
| Internal: the subdocument of a FreeHandParser. More...

## Enumerations

enum | ZoneType { Z_Unknown , Z_Color , Z_ColorGroup , Z_Dash , Z_DashGroup , Z_Data , Z_Fill , Z_FillGroup , Z_Group , Z_LineStyle , Z_LineStyleGroup , Z_Note , Z_Picture , Z_PictureName , Z_String , Z_Shape , Z_StyleGroup }
| the different zone type More...

## Detailed Description

Internal: the structures of a FreeHandParser.

## Enumeration Type Documentation

## ZoneType

enum FreeHandParserInternal::ZoneType

the different zone type

Enumerator
Z_Unknown |
Z_Color |
Z_ColorGroup |
Z_Dash |
Z_DashGroup |
Z_Data |
Z_Fill |
Z_FillGroup |
Z_Group |
Z_LineStyle |
Z_LineStyleGroup |
Z_Note |
Z_Picture |
Z_PictureName |
Z_String |
Z_Shape |
Z_StyleGroup |